Skip to navigation

Create Compute Environment

View as Markdown

Same key + same configuration returns the same environment; changed input conflicts.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired

Request

This endpoint expects an object.
environment_slugstringRequired1-128 characters
idempotency_keystringRequired1-128 characters
product_idstring or nullOptional1-128 characters
session_idstring or nullOptional1-128 characters

Response

Successful Response
environment_slugstring
idstring
product_idstring
project_idstring
statusenum
Allowed values:

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
503
Service Unavailable Error